commit:     a08c63bc78563ae0ff4a59288cd15e3cf5e4f703
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 17:47:58 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 17:47:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a08c63bc

metadata/layout.conf: Update manifest-required-hashes to BLAKE2B

Update manifest-required-hashes according to the Council-approved plan
outlined in [1]. The Portage version supporting BLAKE2B is amd64-stable
for 3 months already.

[1]:https://archives.gentoo.org/gentoo-dev/message/682618f6d1cf4d63b30577cb1e9bd269

 metadata/layout.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/metadata/layout.conf b/metadata/layout.conf
index d9cfaf7c147..c68ab815082 100644
--- a/metadata/layout.conf
+++ b/metadata/layout.conf
@@ -12,7 +12,7 @@ manifest-hashes = BLAKE2B SHA512
 # The following hashes are required on all Manifest entries. If any
 # of them are missing, repoman will refetch and rehash old distfiles.
 # Otherwise, old distfiles will keep using their current hash set.
-manifest-required-hashes = SHA512
+manifest-required-hashes = BLAKE2B
 
 # 2013-04-09 gentoo's council says to deprecate EAPIs 1 and 2 (bug #470670).
 # 2014-02-25 council meeting deprecated EAPIs 0 and 3.

Reply via email to